Page MenuHomeFreeBSD

net/py-ifaddr: Port fixes - Use conditional ${PY_IPADDRESS} - Add LICENSE_FILE
ClosedPublic

Authored by jhixson on Jan 29 2019, 3:16 PM.

Details

Summary

net/py-ifaddr: Port fixes

  • Use conditional ${PY_IPADDRESS}
  • Add LICENSE_FILE
Test Plan

Tested with poudriere for 11.2 and 12.0

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jhixson created this revision.Jan 29 2019, 3:16 PM
araujo accepted this revision.Jan 29 2019, 3:51 PM
This revision is now accepted and ready to land.Jan 29 2019, 3:51 PM
mat added inline comments.Jan 29 2019, 4:40 PM
net/py-ifaddr/Makefile
18 ↗(On Diff #53384)

Remove :2.7+.

jhixson updated this revision to Diff 53389.Jan 29 2019, 6:13 PM

net/py-ifaddr: remove 2.7+ from USES

  • Not necessary

Updating D19018: net/py-ifaddr: Port fixes

  • Use conditional ${PY_IPADDRESS}
  • Add LICENSE_FILE
This revision now requires review to proceed.Jan 29 2019, 6:13 PM
mat added inline comments.Jan 29 2019, 8:25 PM
net/py-ifaddr/Makefile
6 ↗(On Diff #53389)

Remove this, nothing changes.

jhixson updated this revision to Diff 53434.Jan 30 2019, 7:10 PM

net/py-ifaddr: port fixes

  • Remove PORTREVISION

Updating D19018: net/py-ifaddr: Port fixes

  • Use conditional ${PY_IPADDRESS}
  • Add LICENSE_FILE
jhixson marked 2 inline comments as done.Jan 30 2019, 7:11 PM
araujo accepted this revision.Jan 31 2019, 2:17 AM
This revision is now accepted and ready to land.Jan 31 2019, 2:17 AM
This revision was automatically updated to reflect the committed changes.